MDCONFIG(8)

NAME
mdconfig - configure MEMORY disks

SYNOPSIS
mdconfig special_file 512-byte-blocks

DESCRIPTION
The mdconfig command configures memory disk devices. It will associate the special file special_file with a range of user-virtual memory allocated by the mdconfig process itself. The mdconfig command should be run in the background. If successful, the command will not return. Otherwise, an error message will be printed.

To "unconfigure" the memory disk, just kill the background mdconfig process started earlier.

FILES
/dev/rmd??
/dev/md??

EXAMPLES
    mdconfig /dev/md0c 2048 &

Configures the memory disk md0c with one megabyte of user-space memory.

SEE ALSO
mount(8), swapon(8), umount(8)

BUGS
The special device will become inoperative if the mdconfig process is killed while the special device is open.